package org.project.entity.players;

import org.project.entity.Entity;
import org.project.item.armors.woodenArmor;
import org.project.item.weapons.knife;

public class Assassin extends Player{

    public Assassin(String name){
        super("🗡️ "+name +"(Assassin)" , 60 , 80 ,new knife(), new woodenArmor() , 8);
    }

    public void specialAbility(Entity target){
        System.out.println(this.getName() + "use special ability, (you are invisible now) " +
                "+ Damge:" +weapon.getDamage() + fistDamage );
        mp -= 30;
        target.falsepossible();
        target.takeDamage(weapon.getDamage() + fistDamage);


    }


}
